/* date.l --- lex routine for the date parser */

NUMBER		[0-9]+
STRING		[a-z][a-z.]*
WHITE		[ \t]+

%{

/* Make sure we use our own input, output, unput */

#undef input
#undef output
#undef unput

%}

/* -------------------------------------------------------------------------- */

%%

{NUMBER}	{

	yylval = atoi(yytext);
	return(NUMBER);
	}

{STRING}	{

	return(lookup_string(yytext));
	}

{WHITE}		;

.			{

	return(yytext[0]);
	}

%%

/* -------------------------------------------------------------------------- */

input()

{
	if (*lptr != '\0')
		return(*lptr++);
	
	else
		return(0);
}

/* -------------------------------------------------------------------------- */

output()

{
}

/* -------------------------------------------------------------------------- */

unput(ch)

int ch;

{
	if (lptr > lstring  && ch != 0 && *--lptr == ch)
		return(ch);

	else
		return(0);
}
